ToolzerHub Docs

Get a post (v1)

Get a public post and its initial comments. This operation returns the first comment page only; use /facebook/post/comments → to page.

1 credit / requestBilled only on success
GET
/v1/facebook/post

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

slug*string

Page vanity slug or numeric id.

Match^[A-Za-z0-9._-]+$
Length1 <= length <= 80
postId*string

Post id from a permalink.

Match^[A-Za-z0-9]+$
Length1 <= length <= 128
curl -X GET "https://example.com/v1/facebook/post?slug=NASA&postId=1681362890025747" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "comments": [      {        "property1": null,        "property2": null      }    ],    "pageInfo": {      "cursor": "string",      "hasNextPage": true    }  },  "details": {    "reason": "no_results",    "message": "string"  }}